Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions
ESIGN< H, STANDARD > Struct Template Reference

ESIGN, as defined in IEEE P1363a. More...

`#include <esign.h>`

Inheritance diagram for ESIGN< H, STANDARD >:

List of all members.

## Public Types

typedef STANDARD | Standard
| see SignatureStandard for a list of standards
typedef Standard::SignatureMessageEncodingMethod | MessageEncodingMethod
typedef TF_SignatureSchemeOptions < TF_SS< STANDARD, H, ESIGN_Keys, int >, ESIGN_Keys, MessageEncodingMethod, H > | SchemeOptions
typedef PK_FinalTemplate < TF_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate < TF_VerifierImpl < SchemeOptions > > | Verifier
| implements PK_Verifier interface
typedef ESIGNFunction | PublicKey
typedef InvertibleESIGNFunction | PrivateKey

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class H, class STANDARD = P1363_EMSA5>
struct ESIGN< H, STANDARD >

ESIGN, as defined in IEEE P1363a.

Definition at line 122 of file esign.h.

The documentation for this struct was generated from the following file:

- esign.h